Jump to content
PA-Sniv

IL2 server stats (unofficial)

Recommended Posts

31.12.2019 в 04:13, WWSitttingDuck сказал:

Vaal, is there a syntax for a reward based on:

 

the pilots id      AND

the tour id, or

the tour start date and tour end date.

 

I don't understand what you're trying to do.

 

01.01.2020 в 17:30, pasao сказал:

First of all, I want to congrat you for the magnificent job

 

Just as a suggestion, could be possible to have ranking per plane as we have ranking per pilot?

May be an improvement to a better knowledge of plane types and their perfomance

 

regards

 

It can be done, but as I've already written above:

At the moment I only support compatibility with new versions of the game. There are no plans to develop new features.

 

1 час назад, -[HRAF]Roland_HUNter сказал:

Can we have a tutorial video or something how to update the stats when new version released? Example 1.2.38?

 

The archive with statistics contains instructions for updating. I don't have time to record video instructions on how to replace files with new ones by the list of changes.

  • Like 1

Share this post


Link to post
Share on other sites
On 1/2/2020 at 2:46 PM, =FB=Vaal said:

I don't understand what you're trying to do.

 

I finally guessed right.

 

def test(sortie):
    return sortie.profile_id == 1 and sortie.tour_id == 3

Share this post


Link to post
Share on other sites

Congrats you for the perfect JOB, congrats

 

But I have one problem


 

Quote

 

E:\Area de Trabalho\il2_stats\run>cd ../src

E:\Area de Trabalho\il2_stats\src>"../.venv/Scripts/python.exe" web.py
Traceback (most recent call last):
  File "E:\Area de Trabalho\il2_stats\.venv\lib\site-packages\waitress\adjustments.py", line 361, in __init__
    socket.AI_PASSIVE
  File "C:\Program Files (x86)\Python35-32\lib\socket.py", line 732, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "web.py", line 18, in <module>
    max_request_body_size=5242880,  # 5MB
  File "E:\Area de Trabalho\il2_stats\.venv\lib\site-packages\waitress\__init__.py", line 11, in serve
    server = _server(app, **kw)
  File "E:\Area de Trabalho\il2_stats\.venv\lib\site-packages\waitress\server.py", line 50, in create_server
    adj = Adjustments(**kw)
  File "E:\Area de Trabalho\il2_stats\.venv\lib\site-packages\waitress\adjustments.py", line 382, in __init__
    raise ValueError('Invalid host/port specified.')
ValueError: Invalid host/port specified.

E:\Area de Trabalho\il2_stats\src>pause
Pressione qualquer tecla para continuar. . .

 

 

Share this post


Link to post
Share on other sites

Check settings
[http]
host = 127.0.0.1
port = 80
they're not correct in you file

Share this post


Link to post
Share on other sites
12 minutes ago, =FB=Vaal said:

Verifique as configurações
[http]
host = 127.0.0.1
port = 80
elas não estão corretas no seu arquivo

conf.ini or config.pv my friend

Share this post


Link to post
Share on other sites

Installed latest update and overwrote files:  Its looking for a missing startup .cfg in

C:\\Program Files (x86)\\games\\1C game studios\\IL2 BOS\\data\\startup.cfg

 

See second picture below.    Compare the parser path being called above with our install path

C:\\Program Files (x86)\\1C game studios\\IL-2 Sturmovick Great Battles\\data\\startup.cfg

 

y4mFfobQSvh4ajx54mIsxaDW-ivsIv1Z3SB-utgC

 

 

y4mNOGEHW72N-2D9MgEe3EzhBWbGxLjjp_4SGCxl

Edited by J5_Baeumer

Share this post


Link to post
Share on other sites

http://stats.jasta5.org:8000/en/sortie/19004/?tour=8

In sortie statistic you can see destroyed ground targets in "detailed results"  - total 6 but only 3 are listed as Heavy Tanks and Small-caliber AA guns but other 3 are absent (Hotchkiss Mle 14).  They do not have own category like  Small-caliber guns etc.

 

 

 

 http://stats.jasta5.org:8000/en/sortie/19499/?tour=8

Destroyed barge was not count in game  scores (no marine object destroyed) - this is bug in the game but what follows could be  something wrong with server log parser because in sortie statistic there is Light Ships shown as destroyed  but in sortie log there is nothing about barge damage.

Edited by 1PL-Husar-1Esk

Share this post


Link to post
Share on other sites

Hotchkiss Mle 14 in the category of machine gunners. In the next version I will enable the display on the site.

 

There's a barge in the logs - it's a German AAA Peniche.

  • Thanks 1

Share this post


Link to post
Share on other sites
36 minutes ago, 1PL-Husar-1Esk said:

When mission time ends, and you are in the air previously damaged (in my case just some insignificant wings holes) ,you are counted as shutdown in sortie log.

 

http://stats.jg1.org:8000/en/sortie/log/9455/?tour=24

 

 same here

 

http://stats.jg1.org:8000/en/sortie/log/9444/?tour=24

 

On that first link all looks ok as you got killed before end, and mission didnt end at that time Ok i see that first link is from guy who damaged you.

 

Both link looks like same problem that was happening when server was using disco mod 1.2 version for stats, if server host is using that mod for stats, i fix that problem with 1.3 update so they should check it out and apply fix if they are using that mod.

Edited by CountZero
  • Thanks 1

Share this post


Link to post
Share on other sites
2 hours ago, CountZero said:

 

On that first link all looks ok as you got killed before end, and mission didnt end at that time Ok i see that first link is from guy who damaged you.

 

Both link looks like same problem that was happening when server was using disco mod 1.2 version for stats, if server host is using that mod for stats, i fix that problem with 1.3 update so they should check it out and apply fix if they are using that mod.

Thanks. Can you point me to the package you made?
BTW don't those "changes" you made should be incorporated in main branch? I trust you do those to suit the best  multiplayer environment from active and competitive player point of  view - hope most think so too 😉

Edited by 1PL-Husar-1Esk

Share this post


Link to post
Share on other sites
1 hour ago, 1PL-Husar-1Esk said:

Thanks. Can you point me to the package you made?
BTW don't those "changes" you made should be incorporated in main branch? I trust you do those to suit the best  multiplayer environment from active and competitive player point of  view - hope most think so too 😉

 

Just to be safe, your host of that server, and you use mod from this topic?  (im asking as that error was happening when version 1.2 of mod was used)

 

if yes,  then this should fix it ( or you can download version 1.4 of mod from first post in that topic, and apply changes)

 

 

If you didnt use that mod then something els is making that error, but i didnt saw that error on original il-2 stats, so thats why it looks to me like error when that disco mod v1.2 is used.

Edited by CountZero
  • Thanks 1

Share this post


Link to post
Share on other sites

@=FB=Vaal

I think something wrong with my page, i update stats manually cause i modify you stats for tanks, possible buy a coffee must be in another place? Or css wrong?

screen and my base.html template:

Spoiler

LPFkVq5.png

ctgotqs.png

 

Share this post


Link to post
Share on other sites

Thank you, it was my mistake, i forget to update style.less, fixed now :wacko:

Share this post


Link to post
Share on other sites

I've downloaded the last version, then the last objects.csv and when I run update I get this error:

 

C:\il2_stats\src>"../.venv/Scripts/python.exe" manage.py import_csv_data --verbo
sity 0
Traceback (most recent call last):
  File "manage.py", line 7, in <module>
    execute_from_command_line(sys.argv)
  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py"
, line 364, in execute_from_command_line
    utility.execute()
  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py"
, line 356, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", li
ne 283, in run_from_argv
    self.execute(*args, **cmd_options)
  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", li
ne 330, in execute
    output = self.handle(*args, **options)
  File "C:\il2_stats\src\stats\management\commands\import_csv_data.py", line 27,
 in handle
    'score_id': score_dict[row['cls']], 'is_playable': is_playable,
KeyError: 'aerostat'

Thanks for your help.

Share this post


Link to post
Share on other sites

Where'd you download the last of the objects.csv? The latest version in the archive with statistics.

Check that you have updated score.csv - this should contain the line with aerostat.

Share this post


Link to post
Share on other sites
2 hours ago, =FB=Vaal said:

Where'd you download the last of the objects.csv? The latest version in the archive with statistics.

Check that you have updated score.csv - this should contain the line with aerostat.

 

Ok, I've downloaded everything from github, ran update and now it works.

Share this post


Link to post
Share on other sites

Server Error (500)

Seemingly all of a sudden I am getting the above error when trying to connect to the IL2_stats page.  It has been working fine.  Last time I checked was this morning.  I have restarted the PC .  No errors from stats.cmd or waitress.cmd.  I am assuming it would be related to Django.  Any ideas.  

Share this post


Link to post
Share on other sites

Check the django.log.

If there are no errors, put the file settings_local.py in il2_stats\src\core and restart the statistics.

If everything is done correctly, instead of 500 errors, there will be a page with extended information.

settings_local.zip

Share this post


Link to post
Share on other sites
Posted (edited)

Will do and report back.  Many thanks for such a fast reply !!

 

Back with the report:

2020-04-19 14:57:23,266 ERROR Internal Server Error: /en/
Traceback (most recent call last):
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\exception.py", line 41, in inner
    response = get_response(request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\base.py", line 187, in _get_response
    response = self.process_exception_by_middleware(e, request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\base.py", line 185, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "C:\Users\KDN-Server\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\Games\il2_stats\src\stats\views.py", line 618, in main
    'coal_2_online': coal_2_online,
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\shortcuts.py", line 30, in render
    content = loader.render_to_string(template_name, context, request, using=using)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader.py", line 68, in render_to_string
    return template.render(context, request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\backends\django.py", line 66, in render
    return self.template.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 207, in render
    return self._render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 199, in _render
    return self.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader_tags.py", line 177, in render
    return compiled_parent._render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 199, in _render
    return self.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader_tags.py", line 72, in render
    result = block.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\defaulttags.py", line 322, in render
    return nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\defaulttags.py", line 216, in render
    nodelist.append(node.render_annotated(context))
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 1040, in render
    output = self.filter_expression.resolve(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 708, in resolve
    obj = self.var.resolve(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 849, in resolve
    value = self._resolve_lookup(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 911, in _resolve_lookup
    current = current()
  File "C:\Games\il2_stats\src\stats\models.py", line 504, in get_pilot_url
    url = '{url}?tour={tour_id}'.format(url=reverse('stats:pilot', args=[self.profile_id, self.nickname]),
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\urls\base.py", line 91, in reverse
    return force_text(iri_to_uri(resolver._reverse_with_prefix(view, prefix, *args, **kwargs)))
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\urls\resolvers.py", line 497, in _reverse_with_prefix
    raise NoReverseMatch(msg)
django.urls.exceptions.NoReverseMatch: Reverse for 'pilot' with arguments '(1319, '')' not found. 1 pattern(s) tried: ['en/pilot/(?P<profile_id>\\d+)/(?P<nickname>\\S+)/$']

The above is the same with or without the file you posted.  When the "settings_local.py" is in the src/core folder the Stats do not run.  An error is reported and pressing a key logs stats.cmd off.

 

I also found out that I can connect to other pages of the stats e.g. http://192.168.1.4:8008/en/missions/?tour=22 but not http://192.168.1.4:8008/en.

I can also connect on the MAIN page of past ended Tours.

Edited by II./JG1_Kadin

Share this post


Link to post
Share on other sites

It's hard for me to make it because by the error code I conclude that you have a modified version of statistics.

There's no easy way to delete the whole tour.

As an option, you can create a new tour through the admin panel, and this tour to ignore.

 

 

Share this post


Link to post
Share on other sites
Posted (edited)

I only have the latest tank mod that has been compatible with 1.40.

In any case, I made a new install and here is the django log

2020-04-21 07:22:01,550 ERROR Internal Server Error: /en/pilots/
Traceback (most recent call last):
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\exception.py", line 41, in inner
    response = get_response(request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\base.py", line 187, in _get_response
    response = self.process_exception_by_middleware(e, request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\core\handlers\base.py", line 185, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "C:\Users\KDN-Server\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\Games\il2_stats\src\stats\views.py", line 106, in pilot_rankings
    'sort_by': sort_by,
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\shortcuts.py", line 30, in render
    content = loader.render_to_string(template_name, context, request, using=using)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader.py", line 68, in render_to_string
    return template.render(context, request)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\backends\django.py", line 66, in render
    return self.template.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 207, in render
    return self._render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 199, in _render
    return self.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader_tags.py", line 177, in render
    return compiled_parent._render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 199, in _render
    return self.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\loader_tags.py", line 72, in render
    result = block.nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\defaulttags.py", line 322, in render
    return nodelist.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 990, in render
    bit = node.render_annotated(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\defaulttags.py", line 216, in render
    nodelist.append(node.render_annotated(context))
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 957, in render_annotated
    return self.render(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 1040, in render
    output = self.filter_expression.resolve(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 708, in resolve
    obj = self.var.resolve(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 849, in resolve
    value = self._resolve_lookup(context)
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\template\base.py", line 911, in _resolve_lookup
    current = current()
  File "C:\Games\il2_stats\src\stats\models.py", line 475, in get_profile_url
    url = '{url}?tour={tour_id}'.format(url=reverse('stats:pilot', args=[self.profile_id, self.nickname]),
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\urls\base.py", line 91, in reverse
    return force_text(iri_to_uri(resolver._reverse_with_prefix(view, prefix, *args, **kwargs)))
  File "C:\Games\il2_stats\.venv\lib\site-packages\django\urls\resolvers.py", line 497, in _reverse_with_prefix
    raise NoReverseMatch(msg)
django.urls.exceptions.NoReverseMatch: Reverse for 'pilot' with arguments '(1319, '')' not found. 1 pattern(s) tried: ['en/pilot/(?P<profile_id>\\d+)/(?P<nickname>\\S+)/$']

I can connect to the main page but cannot connect to the Pilots ranking page.   I am suspecting a naming issue somewhere with a pilots profile.  Any thoughts?

In the User Profiles in the Admin page,  I see three entries with no name and a lot of "000000000" next to it.  Is it possible to delete those profiles?

Edited by II./JG1_Kadin

Share this post


Link to post
Share on other sites

Try to set a name for this profile first.

\il2_stats\src\stats\admin.py
Replace the file from the archive. Restart. The settings_local must also be used.

After that you can select this profile in the admin panel and rename it.

If this helps, don't forget to remove the settings_local and restart the statistics.

 

admin.zip

Share this post


Link to post
Share on other sites

By the way, you can upload your server's mission log files. I'll take a look at them, maybe the problem was caused by an error in the logs.

Share this post


Link to post
Share on other sites

Well...what you suggested worked!!

I was not able to change the name or anything in those 3 entries under Profiles.  I was only able to check "Is hide" box in all of them and that did it.  I could log in in all pages including the Pilot ranking.   I replaced the settings.py and admin.py back to the original versions (and kept yours for future reference ) and the web pages still work.

Thank you for saving the day.

Big thank yous :)

Share this post


Link to post
Share on other sites
Posted (edited)

Hello,

 

here are some alternative first steps to install (I did not want to mess with my python install and did not want to register for postgresql install):

 


1) install anaconda (a package management tool that simplifies the installation of various utilities)
https://repo.anaconda.com/archive/Anaconda3-2019.10-Windows-x86_64.exe
2) open a conda prompt and execute the commands: 

 

conda create --name il2 python=3.5
conda activate il2
conda install -y -c conda-forge postgresql
initdb -D il2_stats -E=UTF8
pg_ctl -D il2_stats -l logfile start
createuser --superuser il2_stats
createdb --owner=il2_stats il2_stats
psql -U il2_stats -c "CREATE EXTENSION IF NOT EXISTS hstore;"
psql -U il2_stats -c "CREATE EXTENSION IF NOT EXISTS citext;"

 

(this does the following:
- installing a python environment
- installing postgresql inside the environment
- setting up the il2_stats database
)

 To launch the sql server:

pg_ctl -D il2_stats -l logfile start

 

 

you can then install il2 stats by going through the steps 3) 4) 5) 6) 7) of the readme.

To run the .cmd's, you need to stay in the anaconda prompt, go the the folder of interest (for instance \run) and do:
call install.cmd for instance

Edited by super-truite
missing info

Share this post


Link to post
Share on other sites
Posted (edited)

First of all, thank you this great app... I've installed, for the first time (for KOTA) and it's (almost) works like a charm.

 

One question, I got an error missing css file: (waitress)

static/css/style.90c6844cbeb9.css'

static/css/style.fd48e697eabf.css'

 

there is no such a css files there... what went wrong?

Thank you, for your help.

 

 

Edited by -[HRAF]Suti79

Share this post


Link to post
Share on other sites

Are these errors in the log?

If the page is displayed normally, everything is OK. Such errors may occur if some bot or client has cached an old url.

 

If the page is not displayed correctly, try running collectstatic.cmd. And restart the statistics.

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
18 hours ago, =FB=Vaal said:

Are these errors in the log?

If the page is displayed normally, everything is OK. Such errors may occur if some bot or client has cached an old url.

 

If the page is not displayed correctly, try running collectstatic.cmd. And restart the statistics.

 

Yes it's in the log. The page itself looks just fine. It happens after restart too, but I don't mind, if you say it's ok. :) Thank you.

Edited by -[HRAF]Suti79

Share this post


Link to post
Share on other sites

Vaal, installed 1.2.40 ran update.cmd an am getting this;

 

[2020.05.20 12:37:55] missionReport(2020-05-19_20-41-56)[0] - processing new report
[2020.05.20 12:37:55] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 62, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 117, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 337, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 443, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'botpilot_bf109_ger41'
[2020.05.20 12:37:55] Lock 61768112 released on C:\il2_stats\file.lock

Share this post


Link to post
Share on other sites

I notice paylods and modifications are missing for new Yak-9 and 9T

 

modificationsYak-9.thumb.jpg.e030cc0294e8d49b840469db4759ebbc.jpg

 

For servers that wont them in this zip file i added them to aircraft_mods.py and aircraft_payloads.py files (they are in your il2_stats_1.2.41\il2_stats\src\stats folder):aircraft_modifications and paylods.zip

Share this post


Link to post
Share on other sites

Thank you. I'll add payloads and mods to the next release of statistics.

Share this post


Link to post
Share on other sites

Had to restart stats, and am getting errors on missions that previously have read fine.  

 

[2020.05.30 16:23:33] Lock 61768080 released on C:\il2_stats\file.lock
[2020.05.30 21:43:48] Lock 61768080 acquired on C:\il2_stats\file.lock
[2020.05.30 21:43:48] IL2 stats 1.2.41, Python 3.5.2, Django 1.11.25
[2020.05.30 21:43:48] missionReport(2018-01-03_00-35-11)[0] - exists in the DB
[2020.05.30 21:43:49] missionReport(2018-01-03_22-55-36)[0] - exists in the DB
[2020.05.30 21:43:50] missionReport(2018-01-04_20-44-18)[0] - exists in the DB
[2020.05.30 21:43:50] missionReport(2018-01-07_00-28-20)[0] - exists in the DB
[2020.05.30 21:43:51] missionReport(2018-01-07_08-05-22)[0] - exists in the DB
[2020.05.30 21:43:52] missionReport(2018-01-07_21-57-07)[0] - exists in the DB
[2020.05.30 21:43:52] missionReport(2018-01-07_22-05-59)[0] - exists in the DB
[2020.05.30 21:43:53] missionReport(2018-01-07_22-11-24)[0] - exists in the DB
[2020.05.30 21:43:54] missionReport(2018-01-08_20-10-27)[0] - exists in the DB
[2020.05.30 21:43:55] missionReport(2018-01-10_20-00-30)[0] - exists in the DB
[2020.05.30 21:43:55] missionReport(2018-01-11_18-14-35)[0] - exists in the DB
[2020.05.30 21:43:56] missionReport(2018-01-11_18-44-20)[0] - exists in the DB
[2020.05.30 21:43:57] missionReport(2018-01-11_19-58-36)[0] - exists in the DB
[2020.05.30 21:43:57] missionReport(2018-01-11_20-48-46)[0] - exists in the DB
[2020.05.30 21:43:58] missionReport(2018-01-18_20-52-57)[0] - exists in the DB
[2020.05.30 21:43:59] missionReport(2018-01-23_21-00-34)[0] - processing new report
[2020.05.30 21:43:59] bad line: [T:10942 AType:10 PLID:642049 PID:643073 BUL:1139 SH:0 BOMB:12 RCT:0 (40637.566,999.203,15046.167) IDS:5a900f1a-e63b-4965-93ae-fde011786fdd LOGIN:8140d585-9bd8-4ded-8c0f-27ae5bc18e76 NAME:WWICYtheDEAD TYPE:Ju 52 3mg4e COUNTRY:201 FORM:0 FIELD:885760 INAIR:0 PARENT:-1 PAYLOAD:2 FUEL:0.690 SKIN:ju523mg4e/ju52_wwsummer03.dds WM:25]
[2020.05.30 21:43:59] bad line: [T:39182 AType:10 PLID:650244 PID:651268 BUL:2480 SH:0 BOMB:0 RCT:0 (40637.555,998.823,15039.441) IDS:2c4a50bd-4495-43b0-9fd0-8ab12f6df824 LOGIN:91ad67c8-36a4-404d-87e0-e55bbcfdb057 NAME:WWFrylock TYPE:Fw 190 A-3 COUNTRY:201 FORM:0 FIELD:885760 INAIR:0 PARENT:-1 PAYLOAD:5 FUEL:0.500 SKIN:fw190a3/fw190a3_ww-gold_4_summer.dds WM:33]
[2020.05.30 21:43:59] bad line: [T:41849 AType:10 PLID:661506 PID:662530 BUL:1200 SH:0 BOMB:4 RCT:0 (39643.926,140.558,34635.160) IDS:4d3792b8-3c15-4017-8699-a1b30d796359 LOGIN:5090bfa8-b30f-4f89-a9a6-36421b2ebc86 NAME:WWTomka TYPE:Bf 109 F-4 COUNTRY:201 FORM:0 FIELD:26624 INAIR:1 PARENT:-1 PAYLOAD:1 FUEL:0.600 SKIN:bf109f4/bf109f2_ww-03spring.dds WM:37]
[2020.05.30 21:43:59] bad line: [T:42015 AType:10 PLID:654342 PID:655366 BUL:2120 SH:0 BOMB:0 RCT:0 (39658.867,140.561,34633.852) IDS:84f182a5-ebb6-49ce-ab2c-716c560e9f10 LOGIN:18e1f01e-6090-42aa-92c1-b945480491c6 NAME:II./JG1_Kliegmann TYPE:Bf 109 E-7 COUNTRY:201 FORM:0 FIELD:26624 INAIR:1 PARENT:-1 PAYLOAD:0 FUEL:1.000 SKIN:bf109e7/kliegmann-summer.dds WM:25]
[2020.05.30 21:43:59] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 62, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 117, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 291, in event_landing
    aircraft.landing(tik=tik, pos=pos)
  File "C:\il2_stats\src\mission_report\report.py", line 547, in landing
    if self.is_on_enemy_territory(pos=pos):
  File "C:\il2_stats\src\mission_report\report.py", line 690, in is_on_enemy_territory
    if area.is_inside(pos=pos):
  File "C:\il2_stats\src\mission_report\report.py", line 402, in is_inside
    return point_in_polygon(point=pos, polygon=self.boundary)
  File "C:\il2_stats\src\mission_report\helpers.py", line 9, in point_in_polygon
    p1x, p1y = polygon[0]
ValueError: too many values to unpack (expected 2)
[2020.05.30 21:43:59] Lock 61768080 released on C:\il2_stats\file.lock

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...